<template>
    <ScaleBox>
  <div id="app">
    <router-view />
    <theme-picker />
  </div>
</ScaleBox>
</template>

<script>
import ThemePicker from "@/components/ThemePicker";
import ScaleBox from "@/components/scaleBox";
export default {
  mounted() {},
  name: "App",
  components: { ThemePicker,ScaleBox },
  metaInfo() {
    return {
      title:
        this.$store.state.settings.dynamicTitle &&
        this.$store.state.settings.title,
      titleTemplate: (title) => {
        return title
          ? `${title} - ${process.env.VUE_APP_TITLE}`
          : process.env.VUE_APP_TITLE;
      },
    };
  },
};
</script>
<style scoped>
#app .theme-picker {
  display: none;
}
</style>
